Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.config
Class ContextXmlReader

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.modules.config.ContextXmlReader

public class ContextXmlReader
extends BaseInterceptor

This is a configuration module that will read context configuration files, including server.xml, and configure the server by adding the contexts.

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`ContextXmlReader()`

Method Summary
`void` | `addTagRules(ContextManager cm, XmlMapper xh)`
`void` | `engineInit(ContextManager cm)` Initialize the module.
`void` | `setConfig(java.lang.String s)`
`static void` | `setContextRules(XmlMapper xh)`
`void` | `setHome(java.lang.String h)`
`static void` | `setPropertiesRules(ContextManager cm, XmlMapper xh)`

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addInterceptor, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextInit, contextMap, contextShutdown, contextState, copyContext, engineShutdown, engineStart, engineState, engineStop, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextXmlReader

    public ContextXmlReader()

Method Detail

### setConfig

    public void setConfig(java.lang.String s)

### setHome

    public void setHome(java.lang.String h)

### engineInit

    public void engineInit(ContextManager cm)
                    throws TomcatException

  Description copied from class: `BaseInterceptor`
  Initialize the module.

  Overrides:
    `engineInit` in class `BaseInterceptor`
  Throws:
    `TomcatException` - The module will not be added if any exception is thrown by engineInit.

### setPropertiesRules

    public static void setPropertiesRules(ContextManager cm,
                                          XmlMapper xh)
                                   throws TomcatException

  Throws:
    `TomcatException`

### setContextRules

    public static void setContextRules(XmlMapper xh)

### addTagRules

    public void addTagRules(ContextManager cm,
                            XmlMapper xh)
                     throws TomcatException

  Throws:
    `TomcatException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.